Package: org.grails.cli.profile.steps

## [Groovy] Class GradleStep

- org.grails.cli.profile.steps.GradleStep

-     @groovy.transform.CompileStatic
      class GradleStep
      extends AbstractStep

  A Step that invokes Gradle

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.util.Map<java.lang.String, java.lang.String>` | `GRADLE_ARGUMENT_ADAPTER` |
    `protected java.lang.String` | `baseArguments` |
    `protected boolean` | `passArguments` |
    `protected java.util.List<java.lang.String>` | `tasks` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractStep` | `command, parameters`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GradleStep (ProfileCommand command, java.util.Map<java.lang.String, java.lang.Object> parameters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.gradle.tooling.BuildLauncher` | `fillArguments(ExecutionContext context, org.gradle.tooling.BuildLauncher buildLauncher)`
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext context)`
    `` | `protected void` | `initialize()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractStep` | `flag`

- - ### Field Detail

    - #### protected static final java.util.Map<java.lang.String, java.lang.String> GRADLE_ARGUMENT_ADAPTER

    - #### protected java.lang.String baseArguments

    - #### protected boolean passArguments

    - #### protected java.util.List<java.lang.String> tasks

  - ### Constructor Detail

    - #### GradleStep(ProfileCommand command, java.util.Map<java.lang.String, java.lang.Object> parameters)

  - ### Method Detail

    - #### protected org.gradle.tooling.BuildLauncher fillArguments(ExecutionContext context, org.gradle.tooling.BuildLauncher buildLauncher)

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override boolean handle(ExecutionContext context)

    - #### protected void initialize()